import 'package:flutter/material.dart';
import 'hybrid_stack/hybrid_stack_manager_plugin.dart';
import 'opinion.dart';


class ALRoute {
  ALRoute._();
  static const String Flutter_Hybrid = 'hrd://';
  static const String Opinion = 'opinion';
}

String fullRouteUrl(route) {
  return ALRoute.Flutter_Hybrid + route;
}

class AppConfig {
  static final AppConfig _singleton = new AppConfig._internal();
  static final GlobalKey gHomeItemPageWidgetKey =
      new GlobalKey(debugLabel: "[KWLM]");
  static AppConfig sharedInstance() {
    Router.sharedInstance().globalKeyForRouter = gHomeItemPageWidgetKey;
    Router.sharedInstance().routerWidgetHandler =
        ({RouterOption routeOption, Key key}) {
      print('Route----${fullRouteUrl(ALRoute.Opinion)}');
      // 意见与反馈
      if (routeOption.url == fullRouteUrl(ALRoute.Opinion)) {
        return new Opinion(routeOption, key: key);
      }
      return null;
    };
    return _singleton;
  }

  AppConfig._internal() {}
}
